Package twisted :: Package runner :: Module inetdtap :: Class RPCServer |
[frames | no frames]

## Class RPCServer

             Service --+
                       |
    _VolatileDataService --+
                           |
             _AbstractServer --+
                               |
                       TCPServer --+
                                   |
                                  RPCServer

Method Summary
| `__init__(self, rpcVersions, rpcConf, proto, service)`
| `startService(self)`
Inherited from _AbstractServer
| ``_getPort`(self)`
| ``privilegedStartService`(self)`
| ``stopService`(self)`
Inherited from _VolatileDataService
| ``__getstate__`(self)`
Inherited from Service
| ``disownServiceParent`(self)`
| ``setName`(self, name)`
| ``setServiceParent`(self, parent)`

Class Variable Summary
Inherited from TCPServer
`str` | `method` = `'TCP'`
Inherited from _AbstractServer
`int` | `privileged` = 1
`list` | `volatile` = `['_port']`
Inherited from Service
`tuple` | `__implements__` = `(<class twisted.application.service.ISe...`
`NoneType` | `name` = None
`NoneType` | `parent` = None
`int` | `running` = 0

Generated by Epydoc 2.0 on Sat Oct 25 00:55:08 2003 | http://epydoc.sf.net